Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451963 - FcntlLock to be removed from satellite 5.2.0 iso
Summary: FcntlLock to be removed from satellite 5.2.0 iso
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring
Version: 520
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 13:11 UTC by Milan Zázrivec
Modified: 2008-11-05 18:40 UTC (History)
1 user (show)

Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-05 18:40:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milan Zázrivec 2008-06-18 13:11:12 UTC
Description of problem:
Currently there's no package depending on FcntlLock package, therefore
it can be removed from satellite 5.2.0 iso / compose. There used to be
package bdb_perl that required FcntlLock, but that one is gone too.

Version-Release number of selected component (if applicable):
Satellite 5.2.0 / FcntlLock-1.0.1-15

How reproducible:
Always

Steps to Reproduce:
1. Install satellite 5.2.0
2. # rpm -q FcntlLoc
3. # rpm -q --provides FcntlLock
4. # rpm -q --whatrequires FcntlLock.so
5. # rpm -q --whatrequires 'perl(FcntlLock)'
6. # rpm -q --whatrequires 'FcntlLock'
  
Actual results:
# rpm -q FcntlLock
FcntlLock-1.0.1-15
# rpm -q --provides FcntlLock
FcntlLock.so  
perl(FcntlLock)  
FcntlLock = 1.0.1-15
# rpm -q --whatrequires FcntlLock.so
no package requires FcntlLock.so
# rpm -q --whatrequires 'perl(FcntlLock)'
bdb_perl-2.9.3-4.rhel4
# rpm -q --whatrequires 'FcntlLock'
no package requires FcntlLock

Expected results:
# rpm -q FcntlLock
package FcntlLock is not installed

Comment 1 Milan Zázrivec 2008-06-18 13:15:46 UTC
FcntlLock removed from comps-rhel4-rhnsat52.xml comps-rhel5-rhnsat52.xml.

Comment 2 Brad Buckingham 2008-08-13 16:54:45 UTC
Mass move to ON_QA.

Comment 3 Preethi Thomas 2008-08-14 14:49:57 UTC
verified

Comment 4 wes hayutin 2008-10-21 18:21:36 UTC
[root@rlx-2-18 iso]# rpm -q FcntlLoc
package FcntlLoc is not installed
[root@rlx-2-18 iso]# rpm -q --provides FcntlLock
package FcntlLock is not installed
[root@rlx-2-18 iso]# rpm -q --whatrequires FcntlLock.so
no package requires FcntlLock.so
[root@rlx-2-18 iso]# pm -q --whatrequires 'perl(FcntlLock)'
bash: pm: command not found
[root@rlx-2-18 iso]# rpm -q --whatrequires 'perl(FcntlLock)'
no package requires perl(FcntlLock)
[root@rlx-2-18 iso]#  rpm -q --whatrequires 'FcntlLock'
no package requires FcntlLock
[root@rlx-2-18 iso]# 


release pendin

Comment 5 Brandon Perkins 2008-11-05 18:40:38 UTC
5.2.0 Satellite is now GA, bugs Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.